<?php

class Coluna_bd
{
	private $_auto_incrementar;
	private $_tabela;
	private $_descricao;
	private $_id;
	private $_coluna;
	private $_indice;
	private $_invisivel = 0;
	private $_leitura;
	private $_mascara;
	private $_obrigatorio;
	private $_tamanho;
	private $_tipo;
	private $_tipo_coluna;
	private $_tipo_coluna_primaria;
	private $_tipo_tabela;
	private $_var_fixa;
	private $_nao_exibir_tabela;
	private $_filtrar;
	private $_nova_linha;
	private $_lista_coluna_composta = array();
	private $_composta = false;
	private $_coluna_origem;
	private $_multi_registros;
	
	function __construct()
	{
		
	}
	
	public function setInvisivel($invisivel)
	{
		$this->_invisivel = $invisivel;
	}
	public function getInvisivel()
	{
		return $this->_invisivel;
	}
	
	public function setTabela($tabela)
	{
		$this->_tabela = $tabela;
	}
	public function getTabela()
	{
		return $this->_tabela;
	}
	
	public function setDescricao($descricao)
	{
		$this->_descricao = $descricao;
	}
	public function getDescricao()
	{
		return $this->_descricao;
	}
	
	public function setId($id)
	{
		$this->_id = $id;
	}
	public function getId()
	{
		return $this->_id;
	}
	
	public function setColuna($coluna)
	{
		$this->_coluna = $coluna;
	}
	public function getColuna()
	{
		return $this->_coluna;
	}
	public function setIndice($indice)
	{
		$this->_indice = $indice;
	}
	public function getIndice()
	{
		return $this->_indice;
	}
	
	public function setLeitura($leitura)
	{
		$this->_leitura = $leitura;
	}
	public function getLeitura()
	{
		return $this->_leitura;
	}
	
	public function setMascara($mascara)
	{
		$this->_mascara = $mascara;
	}
	public function getMascara()
	{
		return $this->_mascara;
	}
	public function setObrigatorio($obrigatorio)
	{
		$this->_obrigatorio = $obrigatorio;
	}
	public function getObrigatorio()
	{
		return $this->_obrigatorio;
	}
	public function setTamanho($tamanho)
	{
		$this->_tamanho = $tamanho;
	}
	public function getTamanho()
	{
		return $this->_tamanho;
	}
	public function setTipo($tipo)
	{
		$this->_tipo = $tipo;
	}
	public function getTipo()
	{
		return $this->_tipo;
	}
	public function setTipoColuna($tipoColuna)
	{
		$this->_tipo_coluna = $tipoColuna;
	}
	public function getTipoColuna()
	{
		return $this->_tipo_coluna;
	}
	public function setTipoColunaPrimaria($tipoColuna)
	{
		$this->_tipo_coluna_primaria = $tipoColuna;
	}
	public function getTipoColunaPrimaria()
	{
		return $this->_tipo_coluna_primaria;
	}
	public function setTipoTabela($tipoTabela)
	{
		$this->_tipo_tabela = $tipoTabela;
	}
	public function getTipoTabela()
	{
		return $this->_tipo_tabela;
	}
	
	public function setVarFixa($varFixa)
	{
		$this->_var_fixa = $varFixa;
	}
	public function getVarFixa()
	{
		return $this->_var_fixa;
	}
	
	public function setAutoIncrementar($incrementar)
	{
		$this->_auto_incrementar = $incrementar;
	}
	public function getAutoIncrementar()
	{
		return $this->_auto_incrementar;
	}
	
	public function setNaoExibirTabela($naoExibirTabela)
	{
		$this->_nao_exibir_tabela = $naoExibirTabela;
	}
	
	public function getNaoExibirTabela()
	{
		return $this->_nao_exibir_tabela;
	}
	
	public function setFiltrar($filtrar)
	{
		$this->_filtrar = $filtrar;
	}
	
	public function getFiltrar()
	{
		return $this->_filtrar;
	}
	
	public function setNovaLinha($novalinha)
	{
		$this->_nova_linha = $novalinha;
	}
	
	public function getNovaLinha()
	{
		return $this->_nova_linha;
	}
	
	public function setComposta($composta)
	{
		$this->_composta = $composta;
	}
	
	public function getComposta()
	{
		return $this->_composta;
	}
	
	public function addColunaComposta($coluna)
	{
		array_push($this->_lista_coluna_composta, $coluna);
	}
	
	public function getListaColunaComposta()
	{
		return $this->_lista_coluna_composta;
	}
	
	public function setColunaOrigem($coluna)
	{
		$this->_coluna_origem = $coluna;
	}
	
	public function getColunaOrigem()
	{
		return $this->_coluna_origem;
	}
	
	public function setMultiRegistros($multi)
	{
		$this->_multi_registros = $multi;
	}
	
	public function getMultiRegistros()
	{
		return $this->_multi_registros;
	}
	
	
}